// IOBUF_INTERMDISABLE: Bidirectional Buffer with Input Path Disable and On-die Input Termination Disable
//                      UltraScale
// Xilinx HDL Language Template, version 2022.1

IOBUF_INTERMDISABLE #(
   .SIM_DEVICE("ULTRASCALE"), // Set the device version for simulation functionality (ULTRASCALE)
   .USE_IBUFDISABLE("TRUE")   // Enable/Disable the IBUFDISABLE pin (FALSE, TRUE)
)
IOBUF_INTERMDISABLE_inst (
   .O(O),                         // 1-bit output: Buffer output
   .I(I),                         // 1-bit input: Buffer input
   .IBUFDISABLE(IBUFDISABLE),     // 1-bit input: Buffer disable input, high=disable
   .INTERMDISABLE(INTERMDISABLE), // 1-bit input: Input Termination Disable
   .IO(IO),                       // 1-bit inout: Buffer inout (connect directly to top-level port)
   .T(T)                          // 1-bit input: 3-state enable input
);

// End of IOBUF_INTERMDISABLE_inst instantiation
