-- SYSMONE1: Xilinx Analog-to-Digital Converter and System Monitor
--           UltraScale
-- Xilinx HDL Language Template, version 2022.1

SYSMONE1_inst : SYSMONE1
generic map (
   -- INIT_40 - INIT_44: SYSMON configuration registers
   INIT_40 => X"0000",
   INIT_41 => X"0000",
   INIT_42 => X"0000",
   INIT_43 => X"0000",
   INIT_44 => X"0000",
   INIT_45 => X"0000",               -- Analog Bus Register
   -- INIT_46 - INIT_4F: Sequence Registers
   INIT_46 => X"0000",
   INIT_47 => X"0000",
   INIT_48 => X"0000",
   INIT_49 => X"0000",
   INIT_4A => X"0000",
   INIT_4B => X"0000",
   INIT_4C => X"0000",
   INIT_4D => X"0000",
   INIT_4E => X"0000",
   INIT_4F => X"0000",
   -- INIT_50 - INIT_5F: Alarm Limit Registers
   INIT_50 => X"0000",
   INIT_51 => X"0000",
   INIT_52 => X"0000",
   INIT_53 => X"0000",
   INIT_54 => X"0000",
   INIT_55 => X"0000",
   INIT_56 => X"0000",
   INIT_57 => X"0000",
   INIT_58 => X"0000",
   INIT_59 => X"0000",
   INIT_5A => X"0000",
   INIT_5B => X"0000",
   INIT_5C => X"0000",
   INIT_5D => X"0000",
   INIT_5E => X"0000",
   INIT_5F => X"0000",
   -- INIT_60 - INIT_6F: User Supply Alarms
   INIT_60 => X"0000",
   INIT_61 => X"0000",
   INIT_62 => X"0000",
   INIT_63 => X"0000",
   INIT_64 => X"0000",
   INIT_65 => X"0000",
   INIT_66 => X"0000",
   INIT_67 => X"0000",
   INIT_68 => X"0000",
   INIT_69 => X"0000",
   INIT_6A => X"0000",
   INIT_6B => X"0000",
   INIT_6C => X"0000",
   INIT_6D => X"0000",
   INIT_6E => X"0000",
   INIT_6F => X"0000",
   -- Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion on
   -- specific pins
   IS_CONVSTCLK_INVERTED => '0',     -- Optional inversion for CONVSTCLK, 0-1
   IS_DCLK_INVERTED => '0',          -- Optional inversion for DCLK, 0-1
   -- Simulation attributes: Set for proper simulation behavior
   SIM_MONITOR_FILE => "design.txt", -- Analog simulation data file name
   -- User Voltage Monitor: SYSMON User voltage monitor
   SYSMON_VUSER0_BANK => 0,          -- Specify IO Bank for User0
   SYSMON_VUSER0_MONITOR => "NONE",  -- Specify Voltage for User0
   SYSMON_VUSER1_BANK => 0,          -- Specify IO Bank for User1
   SYSMON_VUSER1_MONITOR => "NONE",  -- Specify Voltage for User1
   SYSMON_VUSER2_BANK => 0,          -- Specify IO Bank for User2
   SYSMON_VUSER2_MONITOR => "NONE",  -- Specify Voltage for User2
   SYSMON_VUSER3_MONITOR => "NONE"   -- Specify Voltage for User3
)
port map (
   -- ALARMS outputs: ALM, OT
   ALM => ALM,                   -- 16-bit output: Output alarm for temp, Vccint, Vccaux and Vccbram
   OT => OT,                     -- 1-bit output: Over-Temperature alarm
   -- Dynamic Reconfiguration Port (DRP) outputs: Dynamic Reconfiguration Ports
   DO => DO,                     -- 16-bit output: DRP output data bus
   DRDY => DRDY,                 -- 1-bit output: DRP data ready
   -- I2C Interface outputs: Ports used with the I2C DRP interface
   I2C_SCLK_TS => I2C_SCLK_TS,   -- 1-bit output: I2C_SCLK output port
   I2C_SDA_TS => I2C_SDA_TS,     -- 1-bit output: I2C_SDA_TS output port
   -- STATUS outputs: SYSMON status ports
   BUSY => BUSY,                 -- 1-bit output: System Monitor busy output
   CHANNEL => CHANNEL,           -- 6-bit output: Channel selection outputs
   EOC => EOC,                   -- 1-bit output: End of Conversion
   EOS => EOS,                   -- 1-bit output: End of Sequence
   JTAGBUSY => JTAGBUSY,         -- 1-bit output: JTAG DRP transaction in progress output
   JTAGLOCKED => JTAGLOCKED,     -- 1-bit output: JTAG requested DRP port lock
   JTAGMODIFIED => JTAGMODIFIED, -- 1-bit output: JTAG Write to the DRP has occurred
   MUXADDR => MUXADDR,           -- 5-bit output: External MUX channel decode
   -- Auxiliary Analog-Input Pairs inputs: VAUXP[15:0], VAUXN[15:0]
   VAUXN => VAUXN,               -- 16-bit input: N-side auxiliary analog input
   VAUXP => VAUXP,               -- 16-bit input: P-side auxiliary analog input
   -- CONTROL and CLOCK inputs: Reset, conversion start and clock inputs
   CONVST => CONVST,             -- 1-bit input: Convert start input
   CONVSTCLK => CONVSTCLK,       -- 1-bit input: Convert start input
   RESET => RESET,               -- 1-bit input: Active-High reset
   -- Dedicated Analog Input Pair inputs: VP/VN
   VN => VN,                     -- 1-bit input: N-side analog input
   VP => VP,                     -- 1-bit input: P-side analog input
   -- Dynamic Reconfiguration Port (DRP) inputs: Dynamic Reconfiguration Ports
   DADDR => DADDR,               -- 8-bit input: DRP address bus
   DCLK => DCLK,                 -- 1-bit input: DRP clock
   DEN => DEN,                   -- 1-bit input: DRP enable signal
   DI => DI,                     -- 16-bit input: DRP input data bus
   DWE => DWE,                   -- 1-bit input: DRP write enable
   -- I2C Interface inputs: Ports used with the I2C DRP interface
   I2C_SCLK => I2C_SCLK,         -- 1-bit input: I2C_SCLK input port
   I2C_SDA => I2C_SDA            -- 1-bit input: I2C_SDA input port
);

-- End of SYSMONE1_inst instantiation
